<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::table('variantes', function (Blueprint $table): void {
            $table->dateTime('minimum_use_date')->nullable()->after('inventory_id');
            $table->dateTime('maximum_use_date')->nullable()->after('minimum_use_date');
        });
    }

    public function down(): void
    {
        Schema::table('variantes', function (Blueprint $table): void {
            $table->dropColumn([
                'minimum_use_date',
                'maximum_use_date',
            ]);
        });
    }
};
